## sysdig 0.29.3

=== CMakeLists.txt ===
#
# Copyright (C) 2013-2018 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Prior to doing anything, we make sure that we aren't trying to
# run cmake in-tree. (see Issue 71: https://github.com/draios/sysdig/issues/71)
if(EXISTS ${CMAKE_CURRENT_BINARY_DIR}/CMakeLists.txt)
	message(FATAL_ERROR
		"Looks like you are trying to run cmake from the base sysdig source directory.\n"
		"** RUNNING CMAKE FROM THE BASE SYSDIG DIRECTORY WILL NOT WORK **\n"
		"To Fix:\n"
		" 1. Remove the CMakeCache.txt file in this directory. ex: rm CMakeCache.txt\n"
		" 2. Create a build directory from here. ex: mkdir build\n"
		" 3. cd into that directory. ex: cd build\n"
		" 4. Run cmake from the build directory. ex: cmake ..\n"
		" 5. Run make from the build directory. ex: make\n"
		"Full paste-able example:\n"
		"( rm -f CMakeCache.txt; mkdir build; cd build; cmake ..; make )\n"
		"The following wiki page has more information on manually building sysdig: http://bit.ly/1oJ84UI")
endif()

cmake_minimum_required(VERSION 2.8.2)

project(sysdig)

option(MINIMAL_BUILD "Produce a minimal sysdig binary with only the essential features (no eBPF probe driver, no kubernetes, no mesos, no marathon and no container metadata)" OFF)
option(MUSL_OPTIMIZED_BUILD "Enable if you want a musl optimized build" OFF)
option(USE_BUNDLED_DEPS "Enable bundled dependencies instead of using the system ones" ON)

# Add path for custom CMake modules.
list(APPEND CMAKE_MODULE_PATH
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

if(NOT DEFINED SYSDIG_VERSION)
	set(SYSDIG_VERSION "0.1.1dev")
endif()

if(NOT DEFINED DIR_ETC)
	set(DIR_ETC "${CMAKE_INSTALL_PREFIX}/etc")
endif()

if(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Release)
endif()

set(PACKAGE_NAME "sysdig")

add_definitions(-DPLATFORM_NAME="${CMAKE_SYSTEM_NAME}")

option(BUILD_WARNINGS_AS_ERRORS "Enable building with -Wextra -Werror flags")

if(APPLE)
	set(MINIMAL_BUILD ON)
endif()

if(MINIMAL_BUILD)
  set(MINIMAL_BUILD_FLAGS "-DMINIMAL_BUILD")
endif()

if(MUSL_OPTIMIZED_BUILD)
	set(SYSDIG_MUSL_FLAGS "-static -Os")
endif()

if(NOT WIN32)

	set(SYSDIG_DEBUG_FLAGS "-D_DEBUG")
	set(CMAKE_COMMON_FLAGS "-Wall -ggdb ${MINIMAL_BUILD_FLAGS} ${SYSDIG_MUSL_FLAGS}")

	if(BUILD_WARNINGS_AS_ERRORS)
		set(CMAKE_SUPPRESSED_WARNINGS "-Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare -Wno-type-limits -Wno-implicit-fallthrough -Wno-format-truncation")
		set(CMAKE_COMMON_FLAGS "${CMAKE_COMMON_FLAGS} -Wextra -Werror ${CMAKE_SUPPRESSED_WARNINGS}")
	endif()

	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_COMMON_FLAGS}")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_COMMON_FLAGS} -std=c++0x")

	set(CMAKE_C_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")
	set(CMAKE_CXX_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")

	set(CMAKE_C_FLAGS_RELEASE "-O3 -fno-strict-aliasing -DNDEBUG")
	set(CMAKE_CXX_FLAGS_RELEASE "-O3 -fno-strict-aliasing -DNDEBUG")

	if(CMAKE_SYSTEM_NAME MATCHES "Linux")
		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
			set(KBUILD_FLAGS "${SYSDIG_DEBUG_FLAGS} ${SYSDIG_FEATURE_FLAGS}")
		else()
			set(KBUILD_FLAGS "${SYSDIG_FEATURE_FLAGS}")
		endif()

		set(SCAP_BPF_PROBE_ENV_VAR_NAME "SYSDIG_BPF_PROBE")
		set(SCAP_HOST_ROOT_ENV_VAR_NAME "HOST_ROOT")
		set(DRIVER_PACKAGE_NAME "scap")

		add_definitions(-DHAS_CAPTURE)
	endif()

	if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
		set(CMD_MAKE gmake)
	else()
		set(CMD_MAKE make)
	endif()

else()
	set(MINIMAL_BUILD ON)

	set(SYSDIG_FLAGS_WIN "-D_CRT_SECURE_NO_WARNINGS -DWIN32 -DMINIMAL_BUILD /EHsc /W3 /Zi")
	set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
	set(SYSDIG_FLAGS_WIN_RELEASE "/MT")

	set(CMAKE_C_FLAGS "${SYSDIG_FLAGS_WIN}")
	set(CMAKE_CXX_FLAGS "${SYSDIG_FLAGS_WIN}")

	set(CMAKE_C_FLAGS_DEBUG "${SYSDIG_FLAGS_WIN_DEBUG}")
	set(CMAKE_CXX_FLAGS_DEBUG "${SYSDIG_FLAGS_WIN_DEBUG}")

	set(CMAKE_C_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")
	set(CMAKE_CXX_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")

	add_definitions(-DHAS_CAPTURE)
	
endif()

if(APPLE)
	set(CMAKE_EXE_LINKER_FLAGS "-pagezero_size 10000 -image_base 100000000")
endif()

include(falcosecurity-libs)
include(yaml-cpp)
include(nlohmann-json)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
	if(NOT DEFINED DRIVER_VERSION)
		set(DRIVER_VERSION "${FALCOSECURITY_LIBS_VERSION}")
	endif()

	if(NOT DEFINED DRIVER_NAME)
		set(DRIVER_NAME "scap")
	endif()

	set(DRIVERS_REPO "https://download.sysdig.com/scap-drivers")
	
	add_subdirectory(scripts)
endif()

add_subdirectory(userspace/sysdig)

set(CPACK_PACKAGE_NAME "${PACKAGE_NAME}")
set(CPACK_PACKAGE_VENDOR "Sysdig Inc.")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "sysdig, a system-level exploration and troubleshooting tool")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/scripts/description.txt")
set(CPACK_PACKAGE_VERSION "${SYSDIG_VERSION}")
set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CMAKE_SYSTEM_PROCESSOR}")
set(CPACK_PROJECT_CONFIG_FILE "${PROJECT_SOURCE_DIR}/CMakeCPackOptions.cmake")
set(CPACK_STRIP_FILES "ON")

set(CPACK_GENERATOR DEB RPM TGZ)

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Sysdig <support@sysdig.com>")
set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.sysdig.com")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "dkms (>= 2.1.0.0)")
set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_BINARY_DIR}/scripts/debian/postinst;${CMAKE_BINARY_DIR}/scripts/debian/prerm")

set(CPACK_RPM_PACKAGE_LICENSE "Apache v2.0")
set(CPACK_RPM_PACKAGE_URL "http://www.sysdig.com")
set(CPACK_RPM_PACKAGE_REQUIRES "dkms, gcc, make, kernel-devel, perl")
set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/postinstall")
set(CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/preuninstall")
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src /usr/share/man /usr/share/man/man8)

include(CPack)

=== scripts/CMakeLists.txt ===
#
# Copyright (C) 2013-2018 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
configure_file(debian/postinst.in debian/postinst)
configure_file(debian/prerm.in debian/prerm)

configure_file(rpm/postinstall.in rpm/postinstall)
configure_file(rpm/postuninstall.in rpm/postuninstall)
configure_file(rpm/preuninstall.in rpm/preuninstall)

configure_file(scap-driver-loader.in scap-driver-loader @ONLY)

install(FILES completions/bash/sysdig
	DESTINATION "${DIR_ETC}/bash_completion.d")

install(FILES completions/zsh/_sysdig
	DESTINATION share/zsh/vendor-completions)

install(FILES completions/zsh/_sysdig
	DESTINATION share/zsh/site-functions)

install(PROGRAMS "${CMAKE_BINARY_DIR}/scripts/scap-driver-loader"
	DESTINATION bin)

=== userspace/sysdig/CMakeLists.txt ===
#
# Copyright (C) 2013-2018 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

if(NOT WIN32)
	include(ncurses)
endif() # NOT WIN32

include(libscap)
include(libsinsp)

include_directories("${LIBSINSP_INCLUDE_DIRS}")
include_directories("${PROJECT_BINARY_DIR}/userspace/sinspui")
include_directories(../sinspui)
include_directories("${PROJECT_BINARY_DIR}/userspace/sysdig")
include_directories(.)

if(NOT WIN32)
	set(SOURCE_FILES
		sysdig.cpp)

	set(SOURCE_FILES_CSYSDIG
		csysdig.cpp)
else()
	set(SOURCE_FILES
		sysdig.cpp
		win32/getopt.c)

	set(SOURCE_FILES_CSYSDIG
		csysdig.cpp
		win32/getopt.c)
endif()

list(APPEND SOURCE_FILES
	plugin_utils.cpp)

list(APPEND SOURCE_FILES_CSYSDIG
	plugin_utils.cpp
	../sinspui/ctext.cpp
	../sinspui/cursescomponents.cpp
	../sinspui/cursesspectro.cpp
	../sinspui/cursestable.cpp
	../sinspui/cursesui.cpp)

add_executable(sysdig ${SOURCE_FILES})
add_executable(csysdig ${SOURCE_FILES_CSYSDIG})

add_dependencies(sysdig njson)
add_dependencies(csysdig njson)

if(USE_BUNDLED_DEPS)
	add_dependencies(sysdig yaml-cpp)
	add_dependencies(csysdig yaml-cpp)
endif()

target_include_directories(
	sysdig
	PUBLIC
        "${LIBSCAP_INCLUDE_DIRS}"
        "${LIBSINSP_INCLUDE_DIRS}"
		"${YAMLCPP_INCLUDE_DIR}"
		"${NJSON_INCLUDE_DIR}")

target_include_directories(
	csysdig
	PUBLIC
        "${LIBSCAP_INCLUDE_DIRS}"
        "${LIBSINSP_INCLUDE_DIRS}"
		"${YAMLCPP_INCLUDE_DIR}"
		"${NJSON_INCLUDE_DIR}")

if(NOT WIN32)
	include_directories(${PROJECT_BINARY_DIR}/driver/src)

	target_link_libraries(sysdig
		sinsp
		"${YAMLCPP_LIB}")

	if(USE_BUNDLED_NCURSES)
		add_dependencies(csysdig ncurses)
	endif()

	target_link_libraries(csysdig
		sinsp
		"${CURSES_LIBRARIES}"
		"${YAMLCPP_LIB}")

	add_subdirectory(man)

	install(TARGETS sysdig 
		DESTINATION bin)

	install(TARGETS csysdig 
		DESTINATION bin)

	install(DIRECTORY chisels
		DESTINATION share/sysdig)

	file(COPY chisels
		DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

else()

	target_link_libraries(sysdig
		sinsp
		"${YAMLCPP_LIB}")

	target_link_libraries(csysdig
		sinsp
		"${YAMLCPP_LIB}")

	target_link_libraries(sysdig odbc32.lib odbccp32.lib Netapi32.lib Iphlpapi.lib)

	target_link_libraries(csysdig odbc32.lib odbccp32.lib Netapi32.lib Iphlpapi.lib)

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			"${LUAJIT_SRC}/lua51.dll"
			"${PROJECT_BINARY_DIR}/$(Configuration)/lua51.dll")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			"${ZLIB_INCLUDE}/zlib1.dll"
			"${PROJECT_BINARY_DIR}/$(Configuration)/")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_directory
			"${PROJECT_SOURCE_DIR}/userspace/sysdig/chisels"
			"${PROJECT_BINARY_DIR}/$(Configuration)/chisels")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			$<TARGET_FILE:sysdig>
			"${PROJECT_BINARY_DIR}/$(Configuration)/sysdig.exe")

	add_custom_command(TARGET csysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			$<TARGET_FILE:csysdig>
			"${PROJECT_BINARY_DIR}/$(Configuration)/csysdig.exe")

endif()

configure_file(config_sysdig.h.in config_sysdig.h)

=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
#
# Copyright (C) 2013-2021 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

cmake_minimum_required(VERSION 3.5.1)

project(falcosecurity-libs-repo NONE)

include(ExternalProject)
message(STATUS "Driver version: ${FALCOSECURITY_LIBS_VERSION}")

ExternalProject_Add(
  falcosecurity-libs
  URL "https://github.com/falcosecurity/libs/archive/${FALCOSECURITY_LIBS_VERSION}.tar.gz"
  URL_HASH "${FALCOSECURITY_LIBS_CHECKSUM}"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  TEST_COMMAND "")

=== userspace/sysdig/man/CMakeLists.txt ===
#
# Copyright (C) 2013-2018 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
find_program(PANDOC pandoc)

if (PANDOC)
	add_custom_target(man_sysdig ALL
		COMMAND ${PANDOC} -s -f markdown_github -t man sysdig.md -o ${CMAKE_CURRENT_BINARY_DIR}/sysdig.8
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sysdig.8
		DESTINATION share/man/man8)

	add_custom_target(man_csysdig ALL
		COMMAND ${PANDOC} -s -f markdown_github -t man csysdig.md -o ${CMAKE_CURRENT_BINARY_DIR}/csysdig.8
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/csysdig.8
		DESTINATION share/man/man8)
else()
	install(FILES sysdig.8
		DESTINATION share/man/man8)

	install(FILES csysdig.8
		DESTINATION share/man/man8)
endif()

=== debian/changelog ===
sysdig (0.29.3-1) unstable; urgency=medium

  * New upstream release
  * Dima Kogan is the new maintainer
  * Kernel driver, userspace libraries moved to separate
    falcosecurity-libs package, to follow upstream

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Jun 2022 14:49:27 -0700

=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Dima Kogan <dkogan@debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfalcosecurity0-dev,
               libb64-dev,
               libc-ares-dev,
               libcurl4-openssl-dev,
               libjq-dev,
               libjsoncpp-dev (>= 0.10.2),
               libncurses5-dev,
               libssl-dev,
               libtbb-dev,
               libyaml-cpp-dev,
               nlohmann-json3-dev,
               pandoc (>= 1.11),
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.sysdig.org/
Vcs-Git: https://salsa.debian.org/debian/sysdig.git
Vcs-Browser: https://salsa.debian.org/debian/sysdig
Rules-Requires-Root: no

Package: sysdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: falcosecurity-scap-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the tool to inspect trace files. If you want to
 inspect a live system, you also need to install the according kernel
 module, shipped in the package falcosecurity-scap-dkms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Increase hardening to maximum, considering attack surface
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_BUNDLED_DEPS=OFF \
		-DDIR_ETC="/etc" \
		-DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)" \
		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//')

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/tags .*/tags/(\d\S*)\.tar\.gz

## sysdig 0.32.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,11 @@
 	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
 if(NOT DEFINED SYSDIG_VERSION)
-	set(SYSDIG_VERSION "0.1.1dev")
+	set(SYSDIG_VERSION "0.0.0-dev")
+endif()
+
+if(${SYSDIG_VERSION} STREQUAL "dev")
+	set(SYSDIG_VERSION "0.0.0-dev")
 endif()
 
 if(NOT DEFINED DIR_ETC)
@@ -86,7 +90,7 @@
 	endif()
 
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_COMMON_FLAGS}")
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_COMMON_FLAGS} -std=c++0x")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_COMMON_FLAGS} -std=c++17")
 
 	set(CMAKE_C_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")
 	set(CMAKE_CXX_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")
@@ -101,7 +105,6 @@
 			set(KBUILD_FLAGS "${SYSDIG_FEATURE_FLAGS}")
 		endif()
 
-		set(SCAP_BPF_PROBE_ENV_VAR_NAME "SYSDIG_BPF_PROBE")
 		set(SCAP_HOST_ROOT_ENV_VAR_NAME "HOST_ROOT")
 		set(DRIVER_PACKAGE_NAME "scap")
 
@@ -129,13 +132,24 @@
 
 	set(CMAKE_C_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")
 	set(CMAKE_CXX_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")
-
-	add_definitions(-DHAS_CAPTURE)
-	
-endif()
-
-if(APPLE)
-	set(CMAKE_EXE_LINKER_FLAGS "-pagezero_size 10000 -image_base 100000000")
+endif()
+
+# Modern BPF is not supported on not Linux systems and in MINIMAL_BUILD
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+	option(BUILD_SYSDIG_MODERN_BPF "Build modern BPF support for Sysdig" OFF)
+	if(BUILD_SYSDIG_MODERN_BPF)
+		add_definitions(-DHAS_MODERN_BPF)
+	endif()
+endif()
+
+if(NOT DEFINED SYSDIG_COMPONENT_NAME)
+    set(SYSDIG_COMPONENT_NAME "${CMAKE_PROJECT_NAME}")
+endif()
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_EXTENSIONS OFF)
+if(MSVC OR WIN32)
+	add_compile_definitions(_HAS_STD_BYTE=0)
 endif()
 
 include(falcosecurity-libs)
@@ -153,6 +167,11 @@
 
 	set(DRIVERS_REPO "https://download.sysdig.com/scap-drivers")
 	
+	# If no path is provided, try to search the BPF probe in: `home/.falco/falco-bpf.o`
+	# This is the same fallback that we had in the libraries: `SCAP_PROBE_BPF_FILEPATH`.
+	set(SYSDIG_PROBE_BPF_FILEPATH ".${DRIVER_NAME}/${DRIVER_NAME}-bpf.o")
+	add_definitions(-DSYSDIG_PROBE_BPF_FILEPATH="${SYSDIG_PROBE_BPF_FILEPATH}")
+
 	add_subdirectory(scripts)
 endif()
 
@@ -167,19 +186,40 @@
 set(CPACK_PROJECT_CONFIG_FILE "${PROJECT_SOURCE_DIR}/CMakeCPackOptions.cmake")
 set(CPACK_STRIP_FILES "ON")
 
-set(CPACK_GENERATOR DEB RPM TGZ)
-
-set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Sysdig <support@sysdig.com>")
-set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
-set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.sysdig.com")
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "dkms (>= 2.1.0.0)")
-set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_BINARY_DIR}/scripts/debian/postinst;${CMAKE_BINARY_DIR}/scripts/debian/prerm")
-
-set(CPACK_RPM_PACKAGE_LICENSE "Apache v2.0")
-set(CPACK_RPM_PACKAGE_URL "http://www.sysdig.com")
-set(CPACK_RPM_PACKAGE_REQUIRES "dkms, gcc, make, kernel-devel, perl")
-set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/postinstall")
-set(CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/preuninstall")
-set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src /usr/share/man /usr/share/man/man8)
+if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
+endif()
+if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64")
+	set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "arm64")
+endif()
+
+if(WIN32)
+	set(CPACK_GENERATOR "NSIS") # this needs NSIS installed, and available
+elseif (APPLE)
+	set(CPACK_GENERATOR "DragNDrop")
+else()
+	set(CPACK_GENERATOR DEB RPM TGZ)
+endif()
+
+# Built packages will include only the following components
+set(CPACK_INSTALL_CMAKE_PROJECTS
+  "${CMAKE_CURRENT_BINARY_DIR};${SYSDIG_COMPONENT_NAME};${SYSDIG_COMPONENT_NAME};/"
+)
+
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+	list(APPEND CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};${DRIVER_COMPONENT_NAME};${DRIVER_COMPONENT_NAME};/")
+	set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Sysdig <support@sysdig.com>")
+	set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
+	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.sysdig.com")
+	set(CPACK_DEBIAN_PACKAGE_DEPENDS "dkms (>= 2.1.0.0)")
+	set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_BINARY_DIR}/scripts/debian/postinst;${CMAKE_BINARY_DIR}/scripts/debian/prerm")
+
+	set(CPACK_RPM_PACKAGE_LICENSE "Apache v2.0")
+	set(CPACK_RPM_PACKAGE_URL "http://www.sysdig.com")
+	set(CPACK_RPM_PACKAGE_REQUIRES "dkms, gcc, make, kernel-devel, perl")
+	set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/postinstall")
+	set(CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE "${CMAKE_BINARY_DIR}/scripts/rpm/preuninstall")
+	set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src /usr/share/man /usr/share/man/man8)
+endif()
 
 include(CPack)

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -46,10 +46,16 @@
 endif()
 
 list(APPEND SOURCE_FILES
-	plugin_utils.cpp)
+	utils/sinsp_opener.cpp
+	utils/plugin_utils.cpp
+	utils/supported_events.cpp
+	utils/supported_fields.cpp)
 
 list(APPEND SOURCE_FILES_CSYSDIG
-	plugin_utils.cpp
+	utils/sinsp_opener.cpp
+	utils/plugin_utils.cpp
+	utils/supported_events.cpp
+	utils/supported_fields.cpp
 	../sinspui/ctext.cpp
 	../sinspui/cursescomponents.cpp
 	../sinspui/cursesspectro.cpp
@@ -102,18 +108,19 @@
 	add_subdirectory(man)
 
 	install(TARGETS sysdig 
-		DESTINATION bin)
+		DESTINATION bin COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 	install(TARGETS csysdig 
-		DESTINATION bin)
+		DESTINATION bin COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 	install(DIRECTORY chisels
-		DESTINATION share/sysdig)
+		DESTINATION share/sysdig COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 	file(COPY chisels
 		DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
 
 else()
+	include(luajit)
 
 	target_link_libraries(sysdig
 		sinsp
@@ -133,11 +140,6 @@
 			"${PROJECT_BINARY_DIR}/$(Configuration)/lua51.dll")
 
 	add_custom_command(TARGET sysdig POST_BUILD
-		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
-			"${ZLIB_INCLUDE}/zlib1.dll"
-			"${PROJECT_BINARY_DIR}/$(Configuration)/")
-
-	add_custom_command(TARGET sysdig POST_BUILD
 		COMMAND "${CMAKE_COMMAND}" -E copy_directory
 			"${PROJECT_SOURCE_DIR}/userspace/sysdig/chisels"
 			"${PROJECT_BINARY_DIR}/$(Configuration)/chisels")
@@ -152,6 +154,22 @@
 			$<TARGET_FILE:csysdig>
 			"${PROJECT_BINARY_DIR}/$(Configuration)/csysdig.exe")
 
+	install(TARGETS sysdig
+			DESTINATION programs
+			COMPONENT "${SYSDIG_COMPONENT_NAME}")
+
+	install(TARGETS csysdig
+			DESTINATION programs
+			COMPONENT "${SYSDIG_COMPONENT_NAME}")
+
+	install(DIRECTORY chisels
+			DESTINATION programs
+			COMPONENT "${SYSDIG_COMPONENT_NAME}")
+
+	install(FILES "${LUAJIT_SRC}/lua51.dll"
+			DESTINATION programs
+			COMPONENT "${SYSDIG_COMPONENT_NAME}")
+
 endif()
 
 configure_file(config_sysdig.h.in config_sysdig.h)

=== cmake/modules/driver-repo/CMakeLists.txt ===
#
# Copyright (C) 2013-2022 Draios Inc dba Sysdig.
#
# This file is part of sysdig .
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

cmake_minimum_required(VERSION 3.5.1)

project(driver-repo NONE)

include(ExternalProject)
message(STATUS "Driver version: ${DRIVER_VERSION}")

ExternalProject_Add(
  driver
  URL "https://github.com/falcosecurity/libs/archive/${DRIVER_VERSION}.tar.gz"
  URL_HASH "${DRIVER_CHECKSUM}"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  TEST_COMMAND ""
  PATCH_COMMAND sh -c "mv ./driver ../driver.tmp && rm -rf ./* && mv ../driver.tmp/* ."
)

=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 project(falcosecurity-libs-repo NONE)
 
 include(ExternalProject)
-message(STATUS "Driver version: ${FALCOSECURITY_LIBS_VERSION}")
+message(STATUS "Libs version: ${FALCOSECURITY_LIBS_VERSION}")
 
 ExternalProject_Add(
   falcosecurity-libs

=== debian/changelog ===
sysdig (0.32.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1020385)

 -- Dima Kogan <dkogan@debian.org>  Fri, 14 Jul 2023 15:08:26 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libfalcosecurity0-dev,
+               libfalcosecurity0-dev (>= 0.11.3),
                libb64-dev,
                libc-ares-dev,
                libcurl4-openssl-dev,
@@ -19,14 +19,15 @@
                pandoc (>= 1.11),
                zlib1g-dev
 Standards-Version: 4.5.0
-Homepage: https://www.sysdig.org/
+Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
 Vcs-Browser: https://salsa.debian.org/debian/sysdig
 Rules-Requires-Root: no
 
 Package: sysdig
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libfalcosecurity0 (>= 0.11.3),
+         ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool
  Sysdig instruments your physical and virtual machines at the OS level

## sysdig 0.35.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 		"The following wiki page has more information on manually building sysdig: http://bit.ly/1oJ84UI")
 endif()
 
-cmake_minimum_required(VERSION 2.8.2)
+cmake_minimum_required(VERSION 3.5.1)
 
 project(sysdig)

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 include(libscap)
 include(libsinsp)
+include(zlib)
 
 include_directories("${LIBSINSP_INCLUDE_DIRS}")
 include_directories("${PROJECT_BINARY_DIR}/userspace/sinspui")
@@ -65,10 +66,9 @@
 add_executable(sysdig ${SOURCE_FILES})
 add_executable(csysdig ${SOURCE_FILES_CSYSDIG})
 
-add_dependencies(sysdig njson)
-add_dependencies(csysdig njson)
-
 if(USE_BUNDLED_DEPS)
+	add_dependencies(sysdig njson)
+	add_dependencies(csysdig njson)
 	add_dependencies(sysdig yaml-cpp)
 	add_dependencies(csysdig yaml-cpp)
 endif()
@@ -122,6 +122,8 @@
 else()
 	include(luajit)
 
+	add_definitions(-DNOCURSESUI)
+
 	target_link_libraries(sysdig
 		sinsp
 		"${YAMLCPP_LIB}")

=== debian/changelog ===
sysdig (0.35.0+repack-1build2) noble; urgency=medium

  * Rebuild against new falcosecurity-libs_0.14.1-3ubuntu1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 12:56:59 +0100

sysdig (0.35.0+repack-1build1) noble; urgency=medium

  * Rebuild against new falcosecurity-libs_0.14.1-2ubuntu3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jan 2024 15:44:49 +0100

sysdig (0.35.0+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Thu, 25 Jan 2024 22:25:50 -0800

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                libcurl4-openssl-dev,
                libjq-dev,
                libjsoncpp-dev (>= 0.10.2),
-               libncurses5-dev,
+               libncurses-dev,
                libssl-dev,
                libtbb-dev,
                libyaml-cpp-dev,
                nlohmann-json3-dev,
                pandoc (>= 1.11),
-               zlib1g-dev
+               zlib1g-dev,
+               uthash-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git

## sysdig 0.36.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,6 +64,10 @@
 set(PACKAGE_NAME "sysdig")
 
 add_definitions(-DPLATFORM_NAME="${CMAKE_SYSTEM_NAME}")
+if(NOT DEFINED CHISEL_TOOL_LIBRARY_NAME)
+	set(CHISEL_TOOL_LIBRARY_NAME "sysdig")
+endif()
+add_definitions(-DCHISEL_TOOL_LIBRARY_NAME="${CHISEL_TOOL_LIBRARY_NAME}")
 
 option(BUILD_WARNINGS_AS_ERRORS "Enable building with -Wextra -Werror flags")
 
@@ -121,8 +125,14 @@
 	set(MINIMAL_BUILD ON)
 
 	set(SYSDIG_FLAGS_WIN "-D_CRT_SECURE_NO_WARNINGS -DWIN32 -DMINIMAL_BUILD /EHsc /W3 /Zi")
-	set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
-	set(SYSDIG_FLAGS_WIN_RELEASE "/MT")
+
+	if(CMAKE_VERSION VERSION_LESS 3.15.0)
+		set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
+		set(SYSDIG_FLAGS_WIN_RELEASE "/MT")
+	else()
+		set(SYSDIG_FLAGS_WIN_DEBUG "/Od")
+		set(SYSDIG_FLAGS_WIN_RELEASE "")
+	endif()
 
 	set(CMAKE_C_FLAGS "${SYSDIG_FLAGS_WIN}")
 	set(CMAKE_CXX_FLAGS "${SYSDIG_FLAGS_WIN}")

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,8 @@
 	include(ncurses)
 endif() # NOT WIN32
 
-include(libscap)
-include(libsinsp)
 include(zlib)
 
-include_directories("${LIBSINSP_INCLUDE_DIRS}")
 include_directories("${PROJECT_BINARY_DIR}/userspace/sinspui")
 include_directories(../sinspui)
 include_directories("${PROJECT_BINARY_DIR}/userspace/sysdig")
@@ -76,16 +73,12 @@
 target_include_directories(
 	sysdig
 	PUBLIC
-        "${LIBSCAP_INCLUDE_DIRS}"
-        "${LIBSINSP_INCLUDE_DIRS}"
 		"${YAMLCPP_INCLUDE_DIR}"
 		"${NJSON_INCLUDE_DIR}")
 
 target_include_directories(
 	csysdig
 	PUBLIC
-        "${LIBSCAP_INCLUDE_DIRS}"
-        "${LIBSINSP_INCLUDE_DIRS}"
 		"${YAMLCPP_INCLUDE_DIR}"
 		"${NJSON_INCLUDE_DIR}")

=== cmake/modules/driver-repo/CMakeLists.txt ===
--- 
+++ 
@@ -31,5 +31,5 @@
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
   TEST_COMMAND ""
-  PATCH_COMMAND sh -c "mv ./driver ../driver.tmp && rm -rf ./* && mv ../driver.tmp/* ."
+  PATCH_COMMAND sh -c "mv ./driver ../driver.tmp && rm -rf ./* && mv ../driver.tmp/* . && patch -p2 <${CMAKE_SOURCE_DIR}/gke_driver.patch"
 )

=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,5 @@
   CONFIGURE_COMMAND ""
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
-  TEST_COMMAND "")
+  TEST_COMMAND ""
+)

=== debian/changelog ===
sysdig (0.36.0+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 06 Apr 2024 12:52:41 -0700

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 Package: sysdig
 Architecture: any
-Depends: libfalcosecurity0 (>= 0.11.3),
-         ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool
  Sysdig instruments your physical and virtual machines at the OS level

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,16 @@
 %:
 	dh $@
 
+# I set the CHISEL_TOOL_LIBRARY_NAME because of this:
+#   https://github.com/draios/sysdig/issues/2063
+# In 0.36.0 this is the default, but I want to be explicit
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DUSE_BUNDLED_DEPS=OFF \
 		-DDIR_ETC="/etc" \
 		-DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)" \
-		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//')
+		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//') \
+		-DCHISEL_TOOL_LIBRARY_NAME="sysdig"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts=\
repacksuffix=+repack,\
dversionmangle=s/\+repack//g,\
repack,\
filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/tags .*/tags/(\d\S*)\.tar\.gz

## sysdig 0.38.1%2Brepack

=== CMakeLists.txt ===
--- 
+++ 
@@ -146,7 +146,7 @@
 
 # Modern BPF is not supported on not Linux systems and in MINIMAL_BUILD
 if(CMAKE_SYSTEM_NAME MATCHES "Linux")
-	option(BUILD_SYSDIG_MODERN_BPF "Build modern BPF support for Sysdig" OFF)
+	option(BUILD_SYSDIG_MODERN_BPF "Build modern BPF support for Sysdig" ON)
 	if(BUILD_SYSDIG_MODERN_BPF)
 		add_definitions(-DHAS_MODERN_BPF)
 	endif()

## sysdig 0.38.1+repack

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
 endif() # NOT WIN32
 
 include(zlib)
+include(luajit)
 
 include_directories("${PROJECT_BINARY_DIR}/userspace/sinspui")
 include_directories(../sinspui)
@@ -60,6 +61,17 @@
 	../sinspui/cursestable.cpp
 	../sinspui/cursesui.cpp)
 
+list(APPEND CHISEL_SOURCES
+	../chisel/chisel_api.cpp
+	../chisel/chisel_fields_info.cpp
+	../chisel/chisel_utils.cpp
+	../chisel/chisel.cpp
+	../chisel/chisel_viewinfo.cpp
+	../chisel/chisel_table.cpp)
+
+list(APPEND SOURCE_FILES ${CHISEL_SOURCES})
+list(APPEND SOURCE_FILES_CSYSDIG ${CHISEL_SOURCES})
+
 add_executable(sysdig ${SOURCE_FILES})
 add_executable(csysdig ${SOURCE_FILES_CSYSDIG})
 
@@ -68,26 +80,35 @@
 	add_dependencies(csysdig njson)
 	add_dependencies(sysdig yaml-cpp)
 	add_dependencies(csysdig yaml-cpp)
+	add_dependencies(sysdig luajit)
+	add_dependencies(csysdig luajit)
 endif()
 
 target_include_directories(
 	sysdig
 	PUBLIC
-		"${YAMLCPP_INCLUDE_DIR}"
-		"${NJSON_INCLUDE_DIR}")
+		"${NJSON_INCLUDE_DIR}"
+		"${LUAJIT_INCLUDE}"
+		../chisel
+		..
+	)
 
 target_include_directories(
 	csysdig
 	PUBLIC
-		"${YAMLCPP_INCLUDE_DIR}"
-		"${NJSON_INCLUDE_DIR}")
+		"${NJSON_INCLUDE_DIR}"
+		"${LUAJIT_INCLUDE}"
+		../chisel
+		..
+	)
 
 if(NOT WIN32)
 	include_directories(${PROJECT_BINARY_DIR}/driver/src)
 
 	target_link_libraries(sysdig
 		sinsp
-		"${YAMLCPP_LIB}")
+		"${LUAJIT_LIB}"
+		yaml-cpp)
 
 	if(USE_BUNDLED_NCURSES)
 		add_dependencies(csysdig ncurses)
@@ -95,8 +116,9 @@
 
 	target_link_libraries(csysdig
 		sinsp
+		"${LUAJIT_LIB}"
 		"${CURSES_LIBRARIES}"
-		"${YAMLCPP_LIB}")
+		yaml-cpp)
 
 	add_subdirectory(man)
 
@@ -113,26 +135,21 @@
 		DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
 
 else()
-	include(luajit)
-
 	add_definitions(-DNOCURSESUI)
 
 	target_link_libraries(sysdig
 		sinsp
-		"${YAMLCPP_LIB}")
+		"${LUAJIT_LIB}"
+		yaml-cpp)
 
 	target_link_libraries(csysdig
 		sinsp
-		"${YAMLCPP_LIB}")
+		"${LUAJIT_LIB}"
+		yaml-cpp)
 
 	target_link_libraries(sysdig odbc32.lib odbccp32.lib Netapi32.lib Iphlpapi.lib)
 
 	target_link_libraries(csysdig odbc32.lib odbccp32.lib Netapi32.lib Iphlpapi.lib)
-
-	add_custom_command(TARGET sysdig POST_BUILD
-		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
-			"${LUAJIT_SRC}/lua51.dll"
-			"${PROJECT_BINARY_DIR}/$(Configuration)/lua51.dll")
 
 	add_custom_command(TARGET sysdig POST_BUILD
 		COMMAND "${CMAKE_COMMAND}" -E copy_directory
@@ -161,10 +178,6 @@
 			DESTINATION programs
 			COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
-	install(FILES "${LUAJIT_SRC}/lua51.dll"
-			DESTINATION programs
-			COMPONENT "${SYSDIG_COMPONENT_NAME}")
-
 endif()
 
 configure_file(config_sysdig.h.in config_sysdig.h)

=== cmake/modules/driver-repo/CMakeLists.txt ===
--- 
+++ 
@@ -31,5 +31,5 @@
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
   TEST_COMMAND ""
-  PATCH_COMMAND sh -c "mv ./driver ../driver.tmp && rm -rf ./* && mv ../driver.tmp/* . && patch -p2 <${CMAKE_SOURCE_DIR}/gke_driver.patch"
+  PATCH_COMMAND sh -c "mv ./driver ../driver.tmp && rm -rf ./* && mv ../driver.tmp/* ."
 )

=== debian/changelog ===
sysdig (0.38.1+repack-3ubuntu1) plucky; urgency=medium

  * Fix FTBFS on ppc64el and riscv64 (LP: #2092154).
    - d/control: add riscv64 to libluajit-5.1-dev arch list and bump
      Lua to 5.2 on other architectures.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 18 Dec 2024 20:15:00 -0300

sysdig (0.38.1+repack-3build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 11:15:50 +0000

sysdig (0.38.1+repack-3) unstable; urgency=medium

  * Disabling i386 builds
    This has been broken in the falcosecurity-libs (a key dependency) upstream
    for a long time

 -- Dima Kogan <dkogan@debian.org>  Thu, 17 Oct 2024 06:07:34 -0700

sysdig (0.38.1+repack-2) unstable; urgency=medium

  * sysdig Build-Depends: liblua... (Closes: #1084382)

 -- Dima Kogan <dkogan@debian.org>  Tue, 08 Oct 2024 22:29:52 -0700

sysdig (0.38.1+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Tue, 01 Oct 2024 23:24:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -18,7 +19,9 @@
                nlohmann-json3-dev,
                pandoc (>= 1.11),
                zlib1g-dev,
-               uthash-dev
+               uthash-dev,
+# Same as the dependency in falcosecurity-libs
+               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el s390x riscv64] | liblua5.2-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
@@ -26,7 +29,8 @@
 Rules-Requires-Root: no
 
 Package: sysdig
-Architecture: any
+# Disabling i386 builds for now; falco-security broken upstream. See: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1067619
+Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool

## sysdig 0.40.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -159,7 +159,12 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_EXTENSIONS OFF)
 if(MSVC OR WIN32)
-	add_compile_definitions(_HAS_STD_BYTE=0)
+	add_compile_definitions(
+		_HAS_STD_BYTE=0
+		WIN32_LEAN_AND_MEAN
+		_DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR
+		NOMINMAX
+	)
 endif()
 
 include(falcosecurity-libs)

=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,13 @@
 configure_file(scap-driver-loader.in scap-driver-loader @ONLY)
 
 install(FILES completions/bash/sysdig
-	DESTINATION "${DIR_ETC}/bash_completion.d")
+	DESTINATION "${DIR_ETC}/bash_completion.d" COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 install(FILES completions/zsh/_sysdig
-	DESTINATION share/zsh/vendor-completions)
+	DESTINATION share/zsh/vendor-completions COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 install(FILES completions/zsh/_sysdig
-	DESTINATION share/zsh/site-functions)
+	DESTINATION share/zsh/site-functions COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 install(PROGRAMS "${CMAKE_BINARY_DIR}/scripts/scap-driver-loader"
-	DESTINATION bin)
+	DESTINATION bin COMPONENT "${SYSDIG_COMPONENT_NAME}")

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -84,6 +84,12 @@
 	add_dependencies(csysdig luajit)
 endif()
 
+if(USE_BUNDLED_FALCOSECURITY_LIBS)
+    set(SINSP_LIB sinsp)
+else()
+    set(SINSP_LIB PkgConfig::LIBSINSP)
+endif()
+
 target_include_directories(
 	sysdig
 	PUBLIC
@@ -106,7 +112,7 @@
 	include_directories(${PROJECT_BINARY_DIR}/driver/src)
 
 	target_link_libraries(sysdig
-		sinsp
+		"${SINSP_LIB}"
 		"${LUAJIT_LIB}"
 		yaml-cpp)
 
@@ -115,7 +121,7 @@
 	endif()
 
 	target_link_libraries(csysdig
-		sinsp
+		"${SINSP_LIB}"
 		"${LUAJIT_LIB}"
 		"${CURSES_LIBRARIES}"
 		yaml-cpp)
@@ -138,12 +144,12 @@
 	add_definitions(-DNOCURSESUI)
 
 	target_link_libraries(sysdig
-		sinsp
+		"${SINSP_LIB}"
 		"${LUAJIT_LIB}"
 		yaml-cpp)
 
 	target_link_libraries(csysdig
-		sinsp
+		"${SINSP_LIB}"
 		"${LUAJIT_LIB}"
 		yaml-cpp)

=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -31,4 +31,5 @@
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
   TEST_COMMAND ""
+  PATCH_COMMAND ""
 )

=== userspace/sysdig/man/CMakeLists.txt ===
--- 
+++ 
@@ -23,18 +23,18 @@
 		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 		VERBATIM)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sysdig.8
-		DESTINATION share/man/man8)
+		DESTINATION share/man/man8 COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 	add_custom_target(man_csysdig ALL
 		COMMAND ${PANDOC} -s -f markdown_github -t man csysdig.md -o ${CMAKE_CURRENT_BINARY_DIR}/csysdig.8
 		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 		VERBATIM)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/csysdig.8
-		DESTINATION share/man/man8)
+		DESTINATION share/man/man8 COMPONENT "${SYSDIG_COMPONENT_NAME}")
 else()
 	install(FILES sysdig.8
-		DESTINATION share/man/man8)
+		DESTINATION share/man/man8 COMPONENT "${SYSDIG_COMPONENT_NAME}")
 
 	install(FILES csysdig.8
-		DESTINATION share/man/man8)
+		DESTINATION share/man/man8 COMPONENT "${SYSDIG_COMPONENT_NAME}")
 endif()

=== debian/changelog ===
sysdig (0.40.0+repack-3) unstable; urgency=medium

  * Build-Depends: liblua5.3-dev (Closes: #1110505)

 -- Dima Kogan <dkogan@debian.org>  Wed, 20 Aug 2025 22:07:28 -0700

sysdig (0.40.0+repack-2) unstable; urgency=medium

  * On riscv64 we Build-Depends: libluajit-5.1-dev (Closes: #1100389)
    Thanks to Bo YU <vimer@debian.org> for finding and solving the issue

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Apr 2025 16:01:16 -0700

sysdig (0.40.0+repack-1) unstable; urgency=medium

  * New upstream release (Closes: #1095317)

 -- Dima Kogan <dkogan@debian.org>  Fri, 21 Feb 2025 16:51:54 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -20,8 +19,7 @@
                pandoc (>= 1.11),
                zlib1g-dev,
                uthash-dev,
-# Same as the dependency in falcosecurity-libs
-               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el s390x riscv64] | liblua5.2-dev
+               liblua5.3-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git

=== debian/watch ===
version=4
opts=\
repacksuffix=+repack,\
dversionmangle=s/\+repack//g,\
repack,\
filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/tags .*/tags/(\d[0-9\.]*)\.tar\.gz
